ART(1)

NAME
ART - An advanced, cross-platform program for developing raw photos.

DESCRIPTION
ART is a fork of RawTherapee, an advanced program for developing raw photos and for processing non-raw photos. It is non-destructive, makes use of OpenMP, supports all the cameras supported by dcraw and more, and carries out its calculations in a high precision 32-bit floating point engine.

LINKS
  Website: http://bitbucket.org/agriggio/ART/
  RawTherapee website: http://www.rawtherapee.com/
  RawTherapee documentation: http://rawpedia.rawtherapee.com/

SYMBOLS
  <Chevrons> indicate parameters you can change.
  [Square brackets] mean the parameter is optional.
  The pipe symbol | indicates a choice of one or the other.
  The dash symbol - denotes a range of possible values.

SYNOPSIS
  ART GUI
  ART <folder> Start File Browser inside folder.
  ART <file> Start Image Editor with file.
  ART CLI
  ART-cli -c <dir>|<files> Convert files in batch using default parameters.
  ART-cli <other options> -c <dir>|<files> Convert files in batch using your own settings.
  ART-cli [-o <output>|-O <output>] [-q] [-a] [-s|-S] [-p <one.arp> [-p <two.arp> ...] ] [-d] [ -j[1-100] [-js<1-3>] | [-b<8|16>] [-t[z] | [-n]] ] [-Y] -c <input>

OPTIONS
  -c <files> Specify one or more input files.
                   -c must be the last option.
  -o <file>|<dir> Set output file or folder.
                   Saves output file alongside input file if -o is not specified.
  -O <file>|<dir> Set output file or folder and copy arp file into it.
                   Saves output file alongside input file if -O is not specified.
  -q Quick-start mode. Does not load cached files to speedup start time.
  -a Process all supported image file types when specifying a folder, even those
                   not currently selected in Preferences > File Browser > Parsed Extensions.
  -s Use the existing sidecar file to build the processing parameters,
                   e.g. for photo.raw there should be a photo.raw.arp file in the same folder.
                   If the sidecar file does not exist, neutral values will be used.
  -S Like -s but skip if the sidecar file does not exist.
  -p <file.arp> Specify processing profile to be used for all conversions.
                   You can specify as many sets of "-p <file.arp>" options as you like,
                   each will be built on top of the previous one, as explained below.
  -d Use the default raw or non-raw processing profile as set in
                   Preferences > Image Processing > Default Processing Profile
  -j[1-100] Specify output to be JPEG (default, if -t and -n are not set).
                   Optionally, specify compression 1-100 (default value: 92).
  -js<1-3> Specify the JPEG chroma subsampling parameter, where:
                   1 = Best compression: 2x2, 1x1, 1x1 (4:2:0)
                       Chroma halved vertically and horizontally.
                   2 = Balanced (default): 2x1, 1x1, 1x1 (4:2:2)
                       Chroma halved horizontally.
                   3 = Best quality: 1x1, 1x1, 1x1 (4:4:4)
                       No chroma subsampling.
  -b<8|16> Specify bit depth per channel (default value: 16 for TIFF, 8 for PNG).
                   Only applies to TIFF and PNG output, JPEG is always 8.
  -t[z] Specify output to be TIFF.
                   Uncompressed by default, or deflate compression with 'z'.
  -n Specify output to be compressed PNG.
                   Compression is hard-coded to 6.
  -Y Overwrite output if present. Your arp files can be incomplete, ART will build the final values as follows:
  1- A new processing profile is created using neutral values,
  2- If the "-d" option is set, the values are overridden by those found in
     the default raw or non-raw processing profile.
  3- If one or more "-p" options are set, the values are overridden by those
     found in these processing profiles.
  4- If the "-s" or "-S" options are set, the values are finally overridden by those
     found in the sidecar files.
  The processing profiles are processed in the order specified on the command line.

AUTHOR
ART is a fork of RawTherapee, developed by Alberto Griggio.
RawTherapee was originally written by Gabor Horvath of Budapest, Hungary, before being re-licensed as free and open-source software in January 2010.
The RawTherapee development team comprises of passionate people from all around the world.